namespace YBEE.EQM.Application;

/// <summary>
/// 高中选科组合管理服务
/// </summary>
[ApiDescriptionSettings(Name = "ncee-course-comb")]
[Route("ncee/course/comb")]
public class NceeCourseCombAppService(INceeCourseCombService courseCombService) : IDynamicApiController
{
    private readonly INceeCourseCombService _nceeCourseCombService = courseCombService;

    /// <summary>
    /// 根据ID获取高中选科组合
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public async Task<NceeCourseCombOutput> GetById([FromQuery][Required] short id)
    {
        return await _nceeCourseCombService.GetById(id);
    }
    /// <summary>
    /// 获取所有高中选科组合
    /// </summary>
    /// <returns></returns>
    public async Task<List<NceeCourseCombOutput>> GetAllList()
    {
        return await _nceeCourseCombService.GetAllList();
    }
}
